Subject: bug#28403: 25.2; find-tag works, but xref-find-definitions

From: Dmitry Gutov <[email-masked]>
Date: Tue, 19 Sep 2017 03:44:28 +0300

On 9/14/17 8:13 PM, Eli Zaretskii wrote:

> I just feel that having a user-friendly defcustom would be more
> future-proof.  Like I said: it's a fire escape.  Every complex feature
> needs one.

My point is if we document it enough for the majority of the users to 
find it, it would also make it more likely that they go the fire escape 
route instead of using etags in the right way. And then get some other 
wrong impression about xref-find-definitions.

>> Maybe the manual should advertise the necessity to call etags with
>> --regexp in certain cases more prominently instead.
> 
> Until very recently, --regex didn't even document the
> back-substitution feature it provides.  So we still have a way to go
> in that direction.

No argument from me.